%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Problem 1 : Hamiltonian System
%
% This code solve the IVP in (1b) and plot the solution
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% f: RHS of IVP
% T: Time Span
% y0: Initial value
% h: Time Step
% tol: Error Tolerance
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function RunPrb1

% Define right hand side
f = @(t,y) ;


% Define parameters
y0 = ;
T = ;
h = ;
tol = ;


% Call function correctly here to get Numerical Solution using the midpoint scheme
[t,yImpMidPoint] = ;

% Plot solution in phase space
figure;
plot(mod(yImpMidPoint(1,:)+pi,2*pi)-pi,yImpMidPoint(2,:),...
     'gx-','MarkerSize',16);
hold off;
title(['\bf Midpoint method, T=' num2str(T(2)) ...
      ' h=' num2str(h)]);
xlabel('p');
ylabel('q');
set(gca,'XLim',[-pi pi]);

end
