%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Problem 2 : Convergence order
%
% This code should print the convergence order for IVP in (2b)
% when p=3 and alpha= 1/4+0.3
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% f: RHS of IVP
% T: End Time
% y0: Initial value
% N: Number of steps
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function RunPrb2



% Initial Value
y0=;

% End time
T=;

% Value of p
p=3;

% Value of alpha
alp = 1/4 + 0.3;


% Right Hand Side of IVP
f = @(t,x) ;


% Exact solution at t=T
exact=( ( p-1 )*( T+1/(p-1) )  )^(-1/(p-1));

% Here we apply 2^1, ..., 2^10 steps on time interval [0,1] and record the 
% global errors at time t=1.

N=2; % Initialize the number of steps

for k=1:10
    
    % get the value of the numerical sol at time t=T
    u=;
    
    % record the global error at time t=1
    e(k)=;
    
    % Change the number of steps
    N=;
end


% Compute and show the convergence order
p=log(abs(e(1:end-1)./e(2:end)))/log(2);
p(1:1:end)



end